--- title: "getProductList" slug: "platform-listprice-getproductlist" updated: 2026-09-17T09:35:54Z published: 2026-09-17T09:35:54Z canonical: "api.ncloud-docs.com/platform-listprice-getproductlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getProductList Available in Classic and VPC View the list of products. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /product/getProductList | ### Request headers For headers common to all List price APIs, see [List price common headers](/docs/en/platform-listprice#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters The following describes the parameters. | Field | Type | Required | Description | | --- | --- | --- | --- | | `pageNo` | Integer | Optional | Page number | | `pageSize` | Integer | Optional | Page size - 1000 or less (default: 1000) | | `regionCode` | String | Required | Region code - Check through the [getRegionList](/docs/en/platform-region-getregionlist) action | | `productItemKindCode` | String | Optional | Product item type code | | `productCategoryCode` | String | Optional | Product category code - Check through the [getProductCategoryList](/docs/en/platform-listprice-getproductcategorylist) action | | `productCode` | String | Optional | Product code | | `productName` | String | Optional | Product name | | `responseFormatType` | String | Optional | Response result format - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location 'https://billingapi.apigw.ntruss.com/billing/v1/product/getProductList?regionCode=KR&productItemKindCode=VSVR&productName=6248R' --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Sub Account Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body See [ProductList](/docs/en/common-vapidatatype-productlistbilling) for the response body. ### Response status codes For response status codes common to NAVER Cloud Platform, see [Ncloud API response status codes](/docs/en/common-ncpapi#3%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` e837d207-bd44-4041-9120-338b578cacd9 0 success 2 VSVR Server (VPC) BM BareMetal SVR.VSVR.BM.C024.M128.LOCAL.SSD.B3840.G001 Single Intel Xeon Gold 6248R (3.0GHz) 24 Cores 128GB RAM, 8 x 480GB SSD Single Intel Xeon Gold 6248R (3.0GHz) 24 Cores 128GB RAM, 8 x 480GB SSD COMPUTE Compute VSVR Server (VPC) BM BareMetal SVR.VSVR.BM.C048.M384.LOCAL.SSD.B3840.G001 Dual Intel Xeon Gold 6248R(3.0GHz), 48 cores, 384GB RAM, 8 x 480GB SSD Dual Intel Xeon Gold 6248R(3.0GHz), 48 cores, 384GB RAM, 8 x 480GB SSD COMPUTE Compute ```